Retrieves all the user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e8e18a33-44f4-443f-9ec8-82a7deafa8bb",
  "user_id": "6f0e902f-a00b-44d7-9d2b-4a88ef847e5b",
  "user_planning_slot_type_id": "502aa3ae-b9d0-4058-b233-15ee6d6e5471",
  "date_from": "2026-11-15T19:51:29.5993375+00:00",
  "date_to": "2026-11-15T19:51:29.5993375+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-15T19:51:29.5993375+00:00"
}